{% extends "styleguide2/base.html" %}

{% load wagtailcore_tags %}

{% block content %}
  {% include 'styleguide2/includes/organisms/layout/elections/navbar.html' with selected_item=page.get_menu_title %}

  <div class="__js-root">
    <ui-view-provider
      :initial="
        {
          {% for block in page.content %}
            view{{ forloop.counter }}: {% if not forloop.first %}false{% else %}true{% endif %}
            {% if not forloop.last %},{% endif %}
          {% endfor %}
        }
      " :sync-location="true"
      v-slot="{ isCurrentView, toggleView }"
    >
      {% include 'styleguide2/includes/organisms/header/elections/faq_header.html' with title=page.title ui_switch_iterable=page.get_topic_names %}

      <main role="main" class="bg-grey-150 pb-10">
        <div class="flex flex-col">
          {% for block in page.content %}
            {% with forloop.counter0 as iteration %}
              {% include_block block %}
            {% endwith %}
          {% endfor %}
        </div>
      </main>
    </ui-view-provider>
  </div>

  {% include 'styleguide2/includes/organisms/main_section/newsletter_section.html' %}
{% endblock %}
